Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/789/?format=api
{ "ob_id": 789, "uuid": "8760212794584bafc93a6a8f9ada64f0", "title": "Leeds HPLC-PCD time series of H2O2 in monthly snow samples collected at different depths from the surface at Halley Bay Station during the CHABLIS Campaign (2004-2005)", "abstract": "HPLC with post column derivatisation data collected during the Chemistry of the Antarctic Boundary Layer and the Interface with Snow (CHABLIS) project. CHABLIS was a Natural Environment Research Council (NERC) and Antarctic Funding Initiative (AFI) funded project, aimed at studying the chemistry of the Antarctic Boundary Layer in greater detail, and for a longer duration, than has previously been attempted. Field measurements were carried out at the British Antarctic Survey station, Halley, at the Clean Air Sector Laboratory (CASLab). Year-round measurements began in February 2004, and a summer campaign focussing on oxidants ran during January/February 2005, after which CHABLIS fieldwork ended. The dataset includes mixing ratios (Ozone, CO, HCHO, NO2, and HONO), accumulation and isotope (Na, K, Mg, Ca, F, CH4, Cl, and NO3) concentrations of snow, and meteorological measurements (relative humidity, visibility, dew point, wind speed, and wind direction). Access to this dataset is now public.", "keywords": "CHABLIS, NERC, Antarctic, boundary layer, HPLC", "publicationState": "published", "dataPublishedTime": "2007-02-23T01:22:07", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/790/?format=api", "dataPath": "/badc/chablis/data/leeds-hplc-pcd/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 94743, "numberOfFiles": 4, "fileFormat": "NASA-Ames" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/221/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/9/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/54018/?format=api" ], "dataLineage": "Data files submitted as is by the CHABLIS campaign participants in 2005/2006 and archived at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/524/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8675/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/718/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/715/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2529/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2528/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2527/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2550/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2549/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2530/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2531/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2532/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/2535/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54638/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/792/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }